/* eslint-disable */
// @ts-ignore
import request from '@/http/vue-query';
import type { CustomRequestOptions } from '@/http/types';

import * as API from './types';

/** 获取筛选条件 GET /app/customerService/getInfo */
export async function appCustomerServiceGetInfoGet({
  options,
}: {
  options?: CustomRequestOptions;
}) {
  return request<API.RCustomerServiceVo>('/app/customerService/getInfo', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 修改客服中心 PUT /xjpmj/customerService */
export async function xjpmjCustomerServicePut({
  body,
  options,
}: {
  body: API.CustomerServiceBoEditGroup;
  options?: CustomRequestOptions;
}) {
  return request<API.RVoid>('/xjpmj/customerService', {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取客服中心详细信息 GET /xjpmj/customerService/getInfo */
export async function xjpmjCustomerServiceGetInfoGet({
  options,
}: {
  options?: CustomRequestOptions;
}) {
  return request<API.RCustomerServiceVo>('/xjpmj/customerService/getInfo', {
    method: 'GET',
    ...(options || {}),
  });
}
